Loading...
Searching...
No Matches
AVDynamicHDRVivid Struct Reference

This struct represents dynamic metadata for color volume transform - CUVA 005.1:2021 standard. More...

`#include <libavutil/hdr_dynamic_vivid_metadata.h>`

## Data Fields

uint8_t | system_start_code
| The system start code.
uint8_t | num_windows
| The number of processing windows.
AVHDRVividColorTransformParams | params [3]
| The color transform parameters for every processing window.

## Detailed Description

This struct represents dynamic metadata for color volume transform - CUVA 005.1:2021 standard.

To be used as payload of a AVFrameSideData or AVPacketSideData with the appropriate type.

Note
  The struct should be allocated with av_dynamic_hdr_vivid_alloc() and its size is not a part of the public ABI.

Definition at line 310 of file hdr_dynamic_vivid_metadata.h.

## Field Documentation

## system_start_code

uint8_t AVDynamicHDRVivid::system_start_code

The system start code.

The value shall be set to 0x01.

Definition at line 314 of file hdr_dynamic_vivid_metadata.h.

## num_windows

uint8_t AVDynamicHDRVivid::num_windows

The number of processing windows.

The value shall be set to 0x01 if the system_start_code is 0x01.

Definition at line 320 of file hdr_dynamic_vivid_metadata.h.

## params

AVHDRVividColorTransformParams AVDynamicHDRVivid::params[3]

The color transform parameters for every processing window.

Definition at line 325 of file hdr_dynamic_vivid_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_vivid_metadata.h